Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.datatype
Class Sequence

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.data.datatype.Sequence

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Direct Known Subclasses:
  Alignment, BlastSequenceInfo, Sequence3D, SequenceInformation

    public class Sequence

extends java.util.Vector

See Also:
  Serialized Form

Constructor Summary
`Sequence()`
`Sequence(java.lang.String sequenceName)`
`Sequence(java.lang.String sequenceName, java.lang.String residueSequence)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getNonGappedPosition(int index)`
`int` | `getNonGappedSequenceLength()`
`Residue` | `getResidue(int pos)`
`java.util.Vector` | `getSequence()`
`int` | `getSequenceLength()`
`java.lang.String` | `getSequenceName()`
`boolean` | `isIdentical(Sequence seq)`
`void` | `setSequence(java.lang.String residueSequence)`
`void` | `setSequenceName(java.lang.String sequenceName)`
`java.lang.String` | `toFasta()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### Sequence

    public Sequence()

### Sequence

    public Sequence(java.lang.String sequenceName)

### Sequence

    public Sequence(java.lang.String sequenceName,
                    java.lang.String residueSequence)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Vector`

### setSequence

    public void setSequence(java.lang.String residueSequence)

### getSequence

    public java.util.Vector getSequence()

### getSequenceName

    public java.lang.String getSequenceName()

### getSequenceLength

    public int getSequenceLength()

### getResidue

    public Residue getResidue(int pos)

### setSequenceName

    public void setSequenceName(java.lang.String sequenceName)

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Collection`
  Specified by:
    `equals` in interface `java.util.List`
  Overrides:
    `equals` in class `java.util.Vector`

### toFasta

    public java.lang.String toFasta()

### getNonGappedSequenceLength

    public int getNonGappedSequenceLength()

### getNonGappedPosition

    public int getNonGappedPosition(int index)

### isIdentical

    public boolean isIdentical(Sequence seq)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD